

Page allocation failures are expected when add_to_swap() tries to allocate
radix-tree nodes without PF_MEMALLOC.  Kill the __alloc_pages() warnings.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/swap_state.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/swap_state.c~add_to_swap-suppress-oom-message mm/swap_state.c
--- 25/mm/swap_state.c~add_to_swap-suppress-oom-message	Wed Sep  1 14:26:33 2004
+++ 25-akpm/mm/swap_state.c	Wed Sep  1 14:26:41 2004
@@ -171,7 +171,7 @@ int add_to_swap(struct page * page)
 		/*
 		 * Add it to the swap cache and mark it dirty
 		 */
-		err = __add_to_swap_cache(page, entry, GFP_ATOMIC);
+		err = __add_to_swap_cache(page, entry, GFP_ATOMIC|__GFP_NOWARN);
 
 		if (pf_flags & PF_MEMALLOC)
 			current->flags |= PF_MEMALLOC;
_
